D_LIB_PATH=C:\D\dmd2\windows\lib
WIN32_PATH=C:\D\Libraries\win32\trunk
DWIN32_PATH=Obelisk\DWin32
DOPENGL_PATH=Obelisk\DOpenGL
PNGDECODER_PATH=Obelisk\PNGDecoder
OBELISK_PATH=Obelisk\Obelisk

PROJECT=..\..\Debug\LonelyTrader.exe
SOURCE_FILES=$(OBELISK_PATH)\Windows\Main.d CGameController.d CGameObject.d CMainController.d CPlanet.d CShip.d CView.d CViewObject.d
LIB_FILES="$(WIN32_PATH)\win32.lib" "$(D_LIB_PATH)\gdi32.lib" "$(D_LIB_PATH)\comctl32.lib" "$(D_LIB_PATH)\ole32.lib" "$(D_LIB_PATH)\winmm.lib" "$(DWIN32_PATH)\Import\shlwapi.lib" "$(DOPENGL_PATH)\Import\opengl32.lib"
LIB_FILES_DEBUG="$(PNGDECODER_PATH)\PNGDecoder_Debug.lib" "$(OBELISK_PATH)\Obelisk_Debug.lib"
LIB_FILES_RELEASE="$(PNGDECODER_PATH)\PNGDecoder_Release.lib" "$(OBELISK_PATH)\Obelisk_Release.lib"
DEF_FILE=AreWeAlone.def

$(PROJECT): $(SOURCE_FILES)
	dmd -w -wi -g -debug -version=IE4 -of"$(PROJECT)" -I"$(WIN32_PATH)" -I"$(DOPENGL_PATH)\Source" -I"$(PNGDECODER_PATH)\Source" -I"$(OBELISK_PATH)" $(DEF_FILE) $(SOURCE_FILES) $(LIB_FILES) $(LIB_FILES_DEBUG)

release:
	dmd -w -wi -release -version=IE4 -of"$(PROJECT)" -I"$(WIN32_PATH)" -I"$(DOPENGL_PATH)\Source" -I"$(PNGDECODER_PATH)\Source" -I"$(OBELISK_PATH)" $(DEF_FILE) $(SOURCE_FILES) $(LIB_FILES) $(LIB_FILES_RELEASE)

clean:
	del $(PROJECT)