﻿module Obelisk.IMainController;
import Obelisk.EKey, Obelisk.IObelisk, Obelisk.IThread;

interface IMainController
{
	void Initialise();

	void OnNotify(int aMessage, int aData);
	void OnTimer();
	void OnDeactivate();
	void OnActivate();

	void OnKeyDown(EKey aKey);
	void OnKeyUp(EKey aKey);

	void ThreadFinished(IThread aThread);
}